﻿using System.Collections.Generic;
using System.Linq;
using AutoFixture;

namespace AutoMapperProjectionsWithEntityFrameworkCore.Data
{
    public static class Seeder
    {
        public static void Seed(this SalesContext salesContext)
        {
            if (!salesContext.Products.Any())
            {
                Fixture fixture = new Fixture();
                fixture.Customize<Product>(product => product.Without(p => p.ProductId));
                //--- The next two lines add 1,000 rows to you database
                List<Product> products = fixture.CreateMany<Product>(1000).ToList();
                salesContext.AddRange(products);
                salesContext.SaveChanges();
           }
        }
    }
}
